### Method

# Gdk MemoryTextureBuilder set_format

since: 4.16

#### Declaration [src]

    void
    gdk_memory_texture_builder_set_format (
      GdkMemoryTextureBuilder* self,
      GdkMemoryFormat format
    )

#### Description [src]

Sets the format of the bytes.

The default is `GDK_MEMORY_R8G8B8A8_PREMULTIPLIED`.

Available since: 4.16

Sets property | `Gdk.MemoryTextureBuilder:format`

#### Parameters

`format`

  Type: `GdkMemoryFormat`

  The texture’s format.